DescendantProtoCritterType (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.grouping.critters.DescendantProtoCritterType class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.grouping.critters
Class DescendantProtoCritterType

    java.lang.Object
      org.hyperic.hq.grouping.critters.BaseCritterType
          org.hyperic.hq.grouping.critters.DescendantProtoCritterType

All Implemented Interfaces:
  CritterType

    public class DescendantProtoCritterType

extends BaseCritterType

This type of criteria is used to provide the same functionality as autogroups. "Show me all descendants of this platform that are of type 'Fileserver File'"

Constructor Summary
`DescendantProtoCritterType()`

Method Summary
`Critter` | `compose(CritterDump dump)` Returns a Critter instance of this critter type based on the critter properties passed through in the CritterDump.
`void` | `decompose(Critter critter, CritterDump dump)` Returns a Critter instance of this critter type based on the critter properties passed through in the CritterDump.
`Resource` | `getPrototype()`
`Resource` | `getRoot()`
`boolean` | `isSystem()` Return true if the Critter is an internal one and used by the system.
`boolean` | `isUserVisible()` returns true if this critter should be visible to the UI for user-defined `org.hyperic.hq.groupingCritterList`s.
`Critter` | `newInstance(java.util.Map critterProps)` Create a new instance of this critter type.
`org.hyperic.hq.grouping.critters.DescendantProtoCritterType.DescendantProtoCritter` | `newInstance(Resource root, Resource proto)`

Methods inherited from class org.hyperic.hq.grouping.critters.BaseCritterType
`addEnumPropDescription, addPropDescription, addPropDescription, getBundle, getDescription, getInstanceConfig, getName, getPropDescriptions, getResourceProperty, initialize, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DescendantProtoCritterType

    public DescendantProtoCritterType()

Method Detail

### getRoot

    public Resource getRoot()

### getPrototype

    public Resource getPrototype()

### newInstance

    public org.hyperic.hq.grouping.critters.DescendantProtoCritterType.DescendantProtoCritter newInstance(Resource root,
                                                                                                          Resource proto)

### newInstance

    public Critter newInstance(java.util.Map critterProps)
                        throws GroupException

  Description copied from interface: `CritterType`
  Create a new instance of this critter type. The passed props must match what the type is asking for (via getPropDescriptions())

  Parameters:
    `critterProps` - a map of prop IDs onto the actual props. The keys must match ids of props as returned by CritterProp.getId()
  Throws:
    `GroupException`

### compose

    public Critter compose(CritterDump dump)
                    throws GroupException

  Description copied from interface: `CritterType`
  Returns a Critter instance of this critter type based on the critter properties passed through in the CritterDump.

  Parameters:
    `dump` - The `CritterDump` containing the critter properties used to populate the new Critter instance.
  Throws:
    `GroupException`

### decompose

    public void decompose(Critter critter,
                          CritterDump dump)
                   throws GroupException

  Description copied from interface: `CritterType`
  Returns a Critter instance of this critter type based on the critter properties passed through in the CritterDump.

    `dump` - The `Critter` instance from which the critter properties will be read to populate the CritterDump.
  Throws:
    `GroupException`

### isUserVisible

    public boolean isUserVisible()

  Description copied from interface: `CritterType`
  returns true if this critter should be visible to the UI for user-defined `org.hyperic.hq.groupingCritterList`s.

### isSystem

    public boolean isSystem()

  Description copied from interface: `CritterType`
  Return true if the Critter is an internal one and used by the system. Critters with this set should not be persisted. In addition, system-based criteria MUST be matched when processing the results. i.e. a CriterList may specify that 'any' may match, but if it contains a system critter, it MUST match. Essentially this will SQL "and" this CritterType in the CritterList to the other members no matter the value of CritterList.isAny(). Example uses: - Critters that specify a match for compatable groups - Critters that filter out system-related resources (virtual servers)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.